/**
 * output package name
 */
package com.kingdee.eas.custom.integration.feishu.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class BizTypeEnum extends StringEnum
{
    public static final String APPROVAL_VALUE = "APPROVAL";//alias=审批定义
    public static final String GROUP_VALUE = "GROUP";//alias=分组
    public static final String BIZ_SYSTEM_VALUE = "BIZ_SYSTEM";//alias=业务系统
    public static final String REMARK_VALUE = "REMARK";//alias=说明
    public static final String TITLE_VALUE = "TITLE";//alias=标题

    public static final BizTypeEnum APPROVAL = new BizTypeEnum("APPROVAL", APPROVAL_VALUE);
    public static final BizTypeEnum GROUP = new BizTypeEnum("GROUP", GROUP_VALUE);
    public static final BizTypeEnum BIZ_SYSTEM = new BizTypeEnum("BIZ_SYSTEM", BIZ_SYSTEM_VALUE);
    public static final BizTypeEnum REMARK = new BizTypeEnum("REMARK", REMARK_VALUE);
    public static final BizTypeEnum TITLE = new BizTypeEnum("TITLE", TITLE_VALUE);

    /**
     * construct function
     * @param String bizTypeEnum
     */
    private BizTypeEnum(String name, String bizTypeEnum)
    {
        super(name, bizTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static BizTypeEnum getEnum(String bizTypeEnum)
    {
        return (BizTypeEnum)getEnum(BizTypeEnum.class, bizTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(BizTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(BizTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(BizTypeEnum.class);
    }
}